QAPlug version supporting IDEA 10 version – delayed

klider | Thursday, January 27th, 2011 | 7 Comments »

We have a small delay with delivering QAPlug version supporting X version,
although we will bring it soon.

If that is important for you, please show us that and vote for that feature.

Feedback for QAPlug

7 Comments

  1. Rune says:

    How do I vote for this feature?

  2. Jason Porter says:

    Go to http://qaplug.uservoice.com/forums/64605-general sign-up and vote there.

  3. Krystian says:

    New version should be available today.

  4. james says:

    has a version compatible with IntelliJ 10 been release yet? thank you

  5. Rune says:

    Hello

    Updated to IDEA 10 and latest QAplug today.

    However, when clicking “Coding Rules”, I got the following stacktrace

    com.intellij.ui.ScrollPaneFactory.createScrollPane(Ljavax/swing/JComponent;)Ljavax/swing/JScrollPane;: com.intellij.ui.ScrollPaneFactory.createScrollPane(Ljavax/swing/JComponent;)Ljavax/swing/JScrollPane;
    java.lang.NoSuchMethodError: com.intellij.ui.ScrollPaneFactory.createScrollPane(Ljavax/swing/JComponent;)Ljavax/swing/JScrollPane;
    at com.soldevelo.qaplug.scanner.ProjectProfileConfigurable.(ProjectProfileConfigurable.java:275)
    at com.soldevelo.qaplug.scanner.QAPlugProjectProfilesConfigurable.resetTree(QAPlugProjectProfilesConfigurable.java:726)
    at com.soldevelo.qaplug.scanner.QAPlugProjectProfilesConfigurable.reset(QAPlugProjectProfilesConfigurable.java:831)
    at com.intellij.openapi.options.newEditor.OptionsEditor.b(OptionsEditor.java:389)
    at com.intellij.openapi.options.newEditor.OptionsEditor.access$2200(OptionsEditor.java:66)
    at com.intellij.openapi.options.newEditor.OptionsEditor$6$1$1.run(OptionsEditor.java:357)
    at com.intellij.openapi.application.impl.ApplicationImpl.runEdtSafeAction(ApplicationImpl.java:967)
    at com.intellij.openapi.options.newEditor.OptionsEditor$6$1.run(OptionsEditor.java:351)
    at com.intellij.openapi.application.impl.ApplicationImpl.runReadAction(ApplicationImpl.java:770)
    at com.intellij.openapi.options.newEditor.OptionsEditor$6.run(OptionsEditor.java:349)
    at com.intellij.openapi.application.impl.ApplicationImpl$6.run(ApplicationImpl.java:383)
    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441)
    at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
    at java.util.concurrent.FutureTask.run(FutureTask.java:138)
    at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
    at java.lang.Thread.run(Thread.java:680)
    at com.intellij.openapi.application.impl.ApplicationImpl$1$1.run(ApplicationImpl.java:131)

  6. sorin says:

    Same here, i also get the error when clicking on the “Coding Rules”
    Questions: how do you configure your own check style xml file?

  7. Krystian says:

    It is fixed in the newest version.

    Please check our tutorial page http://qaplug.com/about/tutorials/